Play Store: Your device isn't compatible with this version.

Post Reply
vpnn00b
OpenVpn Newbie
Posts: 1
Joined: Wed May 02, 2018 12:27 am

Play Store: Your device isn't compatible with this version.

Post by vpnn00b » Wed May 02, 2018 12:35 am

I've been using OpenVPN on chromebooks for the last few months now with great success. However, I tried today to add a new chromebook to my fleet and got that message from the Play Store. I'm using the same model (Acer Chromebook CB3-431) as all of my others. I tested with an older chromebook I had laying around (Acer Chromebook CB5-571) and it worked just fine, no issue. All are on chrome version 65 (latest stable). Does anyone know why this is happening? Did the 3.0.5 OpenVPN version break something?

Have not yet broken the news to any of my current chromebook users that their VPN may be down. They usually only use them over the weekend, so I have some time to "fix" this before it becomes an issue.

Post Reply